Skip to main content
PATCH
Update an event definition

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required

Project ID

id
string
required

Event definition ID

Body

application/json
displayName
string

Human-readable name.

Minimum string length: 1
description
string

Optional description.

attributes
string[]

Replace the attached attributes with these codeNames. Omit to leave unchanged.

Response

Event definition updated

id
string
required
object
enum<string>
required
Available options:
eventDefinition
createdAt
string<date-time>
required
description
string
required
displayName
string
required
codeName
string
required
predefined
boolean
required

true = a built-in Usertour lifecycle event (flow/launcher/checklist/survey/… started/ended/etc.) — NOT trackable: a tracker can only fire a CUSTOM event. false = a custom event you created.

attributes
string[]
required

codeNames of the event-scoped attributes attached to this event.